Bug 1715759 - Some validations are failing due to wrong dependencies in the roles meta/mail.yml files
Summary: Some validations are failing due to wrong dependencies in the roles meta/mail...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-validations
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: beta
: 15.0 (Stein)
Assignee: Gaël Chamoulaud
QA Contact: nlevinki
URL:
Whiteboard:
Depends On: 1710324
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-31 07:46 UTC by Gaël Chamoulaud
Modified: 2019-09-26 10:51 UTC (History)
6 users (show)

Fixed In Version: openstack-tripleo-validations-10.4.1-0.20190701170405.10b4d77.el8ost.noarch
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:22:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 653725 0 None None None 2019-05-31 07:46:15 UTC
OpenStack gerrit 661973 0 None None None 2019-05-31 07:46:15 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:22:55 UTC

Description Gaël Chamoulaud 2019-05-31 07:46:15 UTC
The meta/main.yml files of these validations roles have wrong and useless dependencies in them. The impacted roles are:

- roles/no-op-firewall-nova-driver/meta/main.yml
- roles/undercloud-heat-purge-deleted/meta/main.yml
- roles/undercloud-process-count/meta/main.yml
- roles/undercloud-tokenflush/meta/main.yml

Exemple of output error for the undercloud-tokenflush validation:

```
(undercloud) [stack@undercloud ~]$ ./run-validations.sh undercloud-tokenflush
ERROR! the role 'validation-lib-utils' was not found in /usr/share/openstack-tripleo-validations/playbooks/roles:/usr/share/openstack-tripleo-validations/roles:/usr/share/openstack-tripleo-validations/roles:/usr/share/openstack-tripleo-validations/playbooks

The error appears to have been in '/usr/share/openstack-tripleo-validations/roles/undercloud-tokenflush/meta/main.yml': line 29, column 5, but may
be elsewhere in the file depending on the exact syntax problem.

The offending line appears to be:

dependencies:
  - role: validation-lib-utils
    ^ here

```

Comment 8 Gaël Chamoulaud 2019-07-10 09:20:11 UTC
(undercloud) [stack@undercloud-0 ~]$ for val in no-op-firewall-nova-driver undercloud-heat-purge-deleted undercloud-process-count undercloud-tokenflush; do echo "Running $val"; /usr/bin/run-validations.sh --validation-name $val; done
Running no-op-firewall-nova-driver

Task 'no-op-firewall-nova-driver : Verify `firewall_driver` is set to `NoopFirewallDriver`' failed:
Host: compute-0
Message: The firewall_driver value in /etc/nova/nova.conf is unset, but it must be set to: nova.virt.firewall.NoopFirewallDriver


Task 'no-op-firewall-nova-driver : Verify `firewall_driver` is set to `NoopFirewallDriver`' failed:
Host: compute-1
Message: The firewall_driver value in /etc/nova/nova.conf is unset, but it must be set to: nova.virt.firewall.NoopFirewallDriver

Failure! The validation failed for all hosts:
* compute-0
* compute-1

Running undercloud-heat-purge-deleted
Success! The validation passed for all hosts:
* undercloud

Running undercloud-process-count
Success! The validation passed for all hosts:
* undercloud

Running undercloud-tokenflush
Success! The validation passed for all hosts:
* undercloud

Comment 11 errata-xmlrpc 2019-09-21 11:22:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.